#ifndef Pins_Arduino_h
#define Pins_Arduino_h

#include <stdint.h>


#define USB_VID            0x303A
#define USB_PID            0x81A1
#define USB_MANUFACTURER   "RobotClass"
#define USB_PRODUCT        "RobotClass Graphite S3"
#define USB_SERIAL         "" // Empty string for MAC adddress

#define LED_BUILTIN 13
#define BUILTIN_LED LED_BUILTIN  // backward compatibility

static const uint8_t TX = 43;
static const uint8_t RX = 44;

static const uint8_t TX1 = 17;
static const uint8_t RX1 = 18;

static const uint8_t SDA = 3;
static const uint8_t SCL = 8;

static const uint8_t SS    = 11;
static const uint8_t MOSI  = 2;
static const uint8_t MISO  = 9;
static const uint8_t SCK   = 10;

static const uint8_t A0 = 36;
static const uint8_t A1 = 35;
static const uint8_t A2 = 14;
static const uint8_t A3 = 13;
static const uint8_t A4 = 12;
static const uint8_t A5 = 11;

static const uint8_t T1 = 1;
static const uint8_t T2 = 2;
static const uint8_t T3 = 3;
static const uint8_t T4 = 4;
static const uint8_t T5 = 5;
static const uint8_t T6 = 6;
static const uint8_t T7 = 7;
static const uint8_t T8 = 8;
static const uint8_t T9 = 9;
static const uint8_t T10 = 10;
static const uint8_t T11 = 11;
static const uint8_t T12 = 12;
static const uint8_t T13 = 13;
static const uint8_t T14 = 14;

static const uint8_t APACI = 47;
static const uint8_t APADI = 48;

#endif /* Pins_Arduino_h */
